<div class='overview-container'>
    <div class='header'>
        <h3 style='text-align: center;margin-top:0;'>Overview</h3>
        <dx-form [formData]='filterData' labelLocation='top' [colCount]='6'>
            
            <dxi-item itemType='group' [colCount]='3' [colSpan]='3'>
                <dxi-item [label]='{text: "Product"}' dataField='productName' editorType='dxSelectBox'
                    [editorOptions]='{ dataSource: dsProduct, valueExpr: "name", displayExpr: "name", showClearButton: true, searchEnabled: true, onValueChanged: localFilterSave }'>
                </dxi-item>
                <dxi-item [label]='{text: "Transporter"}' dataField='transporterName' editorType='dxSelectBox'
                    [editorOptions]='{ dataSource: dsTransporter, valueExpr: "name", displayExpr: "name", showClearButton: true, searchEnabled: true, onValueChanged: localFilterSave }'>
                </dxi-item>
                <dxi-item [label]='{text: "Depot"}' dataField='depotName' editorType='dxSelectBox'
                    [editorOptions]='{ dataSource: dsDepot, valueExpr: "name", displayExpr: "name", showClearButton: true, searchEnabled: true, onValueChanged: localFilterSave }'>
                </dxi-item>
            </dxi-item>

            <dxi-item itemType='group' [colCount]='3' [colSpan]='3' [label]='{text: "Range Data"}'>
                <dxi-item [label]='{visible: false}' dataField='fromDate' editorType='dxDateBox'
                    [editorOptions]='{ displayFormat: "dd.MM.yyyy", width: "100%", placeholder: "From date", showClearButton: true, onValueChanged: localFilterSave }'>
                </dxi-item>
                <dxi-item [label]='{visible: false}' dataField='thruDate' editorType='dxDateBox'
                    [editorOptions]='{ displayFormat: "dd.MM.yyyy", width: "100%", placeholder: "Thru date", showClearButton: true, onValueChanged: localFilterSave }'>
                </dxi-item>
                <dxi-item [label]="{visible: false}" itemType="button" [buttonOptions]="{ text: 'Filtreaza', onClick: onFilterChanged }"></dxi-item>
            </dxi-item>

        </dx-form>
    </div>

    <!-- chart -->
    <dx-scroll-view height='calc(100vh - 260px)' class='dx-card'>
        <div class='container-body'>
            <div class='charts'>
                <div class='delivered'>
                    <div class='text-abs'>Q delivered: {{graphNo.qDelivered}} [to]</div>
                    <dx-chart [palette]="['#fff']" [dataSource]="dsDelivered" #qChart>
                        <dxo-legend [visible]="false"></dxo-legend>
                        <dxi-series type="bar"></dxi-series>
                        <dxo-size height='100' width='100%'></dxo-size>
                        <dxo-common-axis-settings>
                            <dxo-grid [visible]='false'> </dxo-grid>
                            <dxo-label [visible]='false'></dxo-label>
                        </dxo-common-axis-settings>
                        <dxo-tooltip enabled='true' [customizeTooltip]="qDeliveryTooltip"></dxo-tooltip>
                    </dx-chart>
                </div>
                <div class='unitCost'>
                    <div class='text-abs'>
                        <p style='margin:0'>Unit Cost: {{graphNo.uCost}} [$/to]</p>
                        <p style='margin:0'>Total cost: {{graphNo.tCost}} [$]</p>
                    </div>
                    <dx-chart [palette]="['#fff']" [dataSource]="dsUnitCost">
                        <dxo-size height='100' width='100%'></dxo-size>
                        <dxi-series type="line"></dxi-series>
                        <dxo-legend [visible]="false"></dxo-legend>
                        <dxo-common-axis-settings type="line">
                            <dxo-grid [visible]='false'> </dxo-grid>
                            <dxo-label [visible]='false'></dxo-label>
                        </dxo-common-axis-settings>
                        <dxo-tooltip enabled='true' [customizeTooltip]="unitCostTooltip"></dxo-tooltip>
                    </dx-chart>
                </div>

                <div class='reschedule'>
                    <div class='text-abs'>
                        <p style='margin:0'>Reschedule {{graphNo.reschedule}} %</p>
                        <p style='margin:0'>Res / Total: {{graphNo.resOrders}} / {{graphNo.totResOrd}} [ord]</p>
                    </div>
                    <dx-chart [palette]="['#fff']" [dataSource]="dsReschedule">
                        <dxo-size height='100' width='100%'></dxo-size>
                        <dxi-series type="line"></dxi-series>
                        <dxo-legend [visible]="false"></dxo-legend>
                        <dxo-common-axis-settings type="line">
                            <dxo-grid [visible]='false'> </dxo-grid>
                            <dxo-label [visible]='false'></dxo-label>
                        </dxo-common-axis-settings>
                        <dxo-tooltip enabled='true' [customizeTooltip]="rescheduleTooltip"></dxo-tooltip>
                    </dx-chart>
                </div>

                <div class='stockday'>
                    <div class='text-abs'>AVG. Stock Days 67.54</div>
                    <dx-chart [palette]="['#fff']" [dataSource]="dsStockDays">
                        <dxo-size height='100' width='100%'></dxo-size>
                        <dxi-series type="line"></dxi-series>
                        <dxo-legend [visible]="false"></dxo-legend>
                        <dxo-common-axis-settings type="line">
                            <dxo-grid [visible]='false'> </dxo-grid>
                            <dxo-label [visible]='false'></dxo-label>
                        </dxo-common-axis-settings>
                    </dx-chart>
                </div>
            </div>
            <div class='map-side'>
                <dx-map class='map' #map [center]="centerMap" [zoom]="7" height="580" width="70%"
                    key='AIzaSyCSSJo6UDSFpjMPP8rUuqA4k-6sKSsL4Bc' provider='google' (onInitialized)='mapInit($event)'>
                </dx-map>
                <div class='map-legend'>
                    <h3 style='text-align: center;'>Legend</h3>
                    <p><img src='assets/img/pin_blue.png' /> Clients with transport performed by Treiro</p>
                    <p><img src='assets/img/pin_yellow.png' /> Clients with transport performed by Transpeco</p>
                    <p><img src='assets/img/pin_green.png' /> Clients with transport performed by LCT</p>
                    <p><img src='assets/img/pin_red.png' /> Clients with transport performed by Transolut</p>
                    <p><img src='assets/img/pin_logo.png' /> Rompetrol stations</p>
                    <p><img src='assets/img/pin_rafinarie.png' /> Rompetrol depots</p>
                </div>
            </div>
        </div>
    </dx-scroll-view>
</div>